package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Stockdiary generated by hbm2java
 */
@Entity
@Table(name="stockdiary"
    ,catalog="openbravopos"
)
public class Stockdiary  implements java.io.Serializable {


     private String id;
     private Attributesetinstance attributesetinstance;
     private Locations locations;
     private Products products;
     private Date datenew;
     private int reason;
     private double units;
     private double price;

    public Stockdiary() {
    }

	
    public Stockdiary(String id, Locations locations, Products products, Date datenew, int reason, double units, double price) {
        this.id = id;
        this.locations = locations;
        this.products = products;
        this.datenew = datenew;
        this.reason = reason;
        this.units = units;
        this.price = price;
    }
    public Stockdiary(String id, Attributesetinstance attributesetinstance, Locations locations, Products products, Date datenew, int reason, double units, double price) {
       this.id = id;
       this.attributesetinstance = attributesetinstance;
       this.locations = locations;
       this.products = products;
       this.datenew = datenew;
       this.reason = reason;
       this.units = units;
       this.price = price;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ATTRIBUTESETINSTANCE_ID")
    public Attributesetinstance getAttributesetinstance() {
        return this.attributesetinstance;
    }
    
    public void setAttributesetinstance(Attributesetinstance attributesetinstance) {
        this.attributesetinstance = attributesetinstance;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="LOCATION", nullable=false)
    public Locations getLocations() {
        return this.locations;
    }
    
    public void setLocations(Locations locations) {
        this.locations = locations;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="PRODUCT", nullable=false)
    public Products getProducts() {
        return this.products;
    }
    
    public void setProducts(Products products) {
        this.products = products;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="DATENEW", nullable=false, length=19)
    public Date getDatenew() {
        return this.datenew;
    }
    
    public void setDatenew(Date datenew) {
        this.datenew = datenew;
    }

    
    @Column(name="REASON", nullable=false)
    public int getReason() {
        return this.reason;
    }
    
    public void setReason(int reason) {
        this.reason = reason;
    }

    
    @Column(name="UNITS", nullable=false, precision=22, scale=0)
    public double getUnits() {
        return this.units;
    }
    
    public void setUnits(double units) {
        this.units = units;
    }

    
    @Column(name="PRICE", nullable=false, precision=22, scale=0)
    public double getPrice() {
        return this.price;
    }
    
    public void setPrice(double price) {
        this.price = price;
    }




}


